## jline
Interface CompletionHandler

All Known Implementing Classes:
  CandidateCycleCompletionHandler, CandidateListCompletionHandler

public interface CompletionHandler

Handler for dealing with candidates for tab-completion.

Author:
  Marc Prud'hommeaux

Method Summary
`boolean` `complete(ConsoleReader reader, List candidates, int position)`

Method Detail

### complete

    public boolean complete(ConsoleReader reader,
                            List candidates,
                            int position)
                     throws IOException

  Throws:
    `IOException`

Released under the terms of the BSD license